IGZIP(1)

NAME
igzip - compress or decompress files similar to gzip

SYNOPSIS
igzip [options] [infiles]

DESCRIPTION

Compress or decompress files similar to gzip using the ISA-L fast deflate library.

Output .gz files are compatible with gzip and [RFC-1952].

Options are similar to gzip except --keep is default.

OPTIONS

-h, --help
    help, print this message

-#  use compression level # with 0 <= # <= 3

-o  <file> output file

-c, --stdout
    write to stdout

-d, --decompress
    decompress file

-z, --compress
    compress file (default)

-f, --force
    overwrite output without prompting

--rm
    remove source files after successful (de)compression

-k, --keep
    keep source files (default)

-S, --suffix <.suf>
    suffix to use while (de)compressing

-V, --version
    show version number

-v, --verbose
    verbose mode

-N, --name
    save/use file name and timestamp in compress/decompress

-n, --no-name
    do not save/use file name and timestamp in compress/decompress

-t, --test
    test compressed file integrity

-T, --threads <n>
    use n threads to compress if enabled

-q, --quiet
    suppress warnings

with no infile, or when infile is - , read standard input

EXAMPLES

Make compressed file1.gz and file2.gz and keep file1 and file2.
    igzip file1 file2

Piped compression and decompression.
    igzip -c file.txt | igzip -d -c -

Streaming compression from output of tar, compress level 2.
    tar cf - dir1 | igzip -2 > dir1.tar.gz

REPORTING BUGS

Report bugs to https://github.com/intel/isa-l/issues